// INoteService.aidl
package cn.wps.moffice.note.noteservice.aidl;

// Declare any non-default types here with import statements
import cn.wps.moffice.note.noteservice.aidl.INoteServiceCallback;
import java.util.List;

interface INoteService {

    boolean isSignIn();

    String getOnlineUser();

    String getActiveTheme(String userId);

    void verifyUser(String account, String password, INoteServiceCallback callback);

    void verifyByAuthResult(String authResult, INoteServiceCallback callback);

    void verifyFromThirdParty(String utype, String thirdid, String accessToken, String appid, String mac_key, boolean skip_register, INoteServiceCallback callback);

    void login(String account, String password, String country, INoteServiceCallback callback);

    void loginByAuthResult(String authResult, String country, INoteServiceCallback callback);

    void loginFromThirdParty(String utype, String thirdid, String accessToken, String appid, String mac_key, boolean skip_register, String country, INoteServiceCallback callback);

    void afterWPSLogin(String country, String wpsSid, String wpsUserId, String avatarUrl, String nickName);

    void logout(String token, String userId, boolean network, INoteServiceCallback callback);

    void afterWPSLogout(String userId);

    void openNote(String noteId, INoteServiceCallback callback);

    void closeNote(String noteId, INoteServiceCallback callback);

    void checkNoteCoreConflict(String token, String userId, String noteId, INoteServiceCallback callback);

    void applyNoteCoreConflict(String userId, String noteCoreJson, INoteServiceCallback callback);

    void starNote(String userId, String noteId, int star, INoteServiceCallback callback);

    void starNotes(String userId, in List<String> noteIds, int star, INoteServiceCallback callback);

    void setNoteGroup(String userId, String noteId, String groupId, INoteServiceCallback callback);

    void setNotesGroup(String userId, in List<String> noteIds, String groupId, INoteServiceCallback callback);

    void setRemind(String userId, String noteId, long remindTime, int remindCycle, INoteServiceCallback callback);

    void setThumbnail(String userId, String noteId, String fileKey, INoteServiceCallback callback);

    void setThemeActive(String userId, String themeId, int active, INoteServiceCallback callback);

    void readAllNotes(String userId, INoteServiceCallback callback);

    void readNotes(String userId, INoteServiceCallback callback);

    void readNoteStar(String userId, String noteId, INoteServiceCallback callback);

    void readGroupNotes(String userId, String groupId, INoteServiceCallback callback);

    void readRemindNotes(String userId, INoteServiceCallback callback);

    void readNotePropertyById(String userId, String noteId, INoteServiceCallback callback);

    void readNoteById(String userId, String noteId, INoteServiceCallback callback);

    void readSyncNoteById(String userId, String noteId, INoteServiceCallback callback);

    void readGroups(String userId, INoteServiceCallback callback);

    void readGroupById(String userId, String groupId, INoteServiceCallback callback);

    void readNoteCountByGroupId(String userId, String groupId, INoteServiceCallback callback);

    void readNoteByUserIdWithGroupNoExist(String userId, in List<String> alreadyExistGroupIds, INoteServiceCallback callback);

    void readIsExistNoteByUserIdWithGroupNoExist(String userId, in List<String> alreadyExistGroupIds, INoteServiceCallback callback);

    void readLocalThemes(String userId, INoteServiceCallback callback);

    void readOnlineThemes(INoteServiceCallback callback);

    void readIsExistTheme(String userId, String themeId, INoteServiceCallback callback);

    void readDefaultThemePreviews(INoteServiceCallback callback);

    void createNoteBatch(String noteListJson, INoteServiceCallback callback);

    void createOrUpdateNoteCoreByUserId(String userId, String noteCoreJson, boolean autoUpload, INoteServiceCallback callback);

    void createOrUpdateGroup(String userId, String groupJson, INoteServiceCallback callback);

    void createOrUpdateTheme(String themeJson, INoteServiceCallback callback);

    void deleteNote(String userId, String noteId, INoteServiceCallback callback);

    void deleteNotes(String userId, in List<String> noteIds, INoteServiceCallback callback);

    void deleteGroup(String userId, String groupId, INoteServiceCallback callback);

    void syncNotes(String token, String userId, boolean syncAll, INoteServiceCallback callback);

    void syncGroups(String token, String userId, boolean syncAll, INoteServiceCallback callback);

    void syncAttachment(String token, String noteId, String fileKey, String filePath, INoteServiceCallback callback);

    void uploadAttachment(String userId, String fileKey, String filePath, boolean autoUpload, INoteServiceCallback callback);

    void downloadTheme(String token, String url, String filePath, String md5, INoteServiceCallback callback);

    void checkAndClearOldNetworkLogs();

}
